> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Raw

> Retrieve raw user profile data as received from their connected wearable provider without processing.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
       --url {{BASE_URL}}/v2/summary/profile/{user_id}/raw \
       --header 'Accept: application/json' \
       --header 'x-vital-api-key: <API_KEY>'
  ```

  ```python Python theme={null}
  from junction import Junction
  from junction.environment import JunctionEnvironment

  client = Junction(
      api_key="YOUR_API_KEY",
      environment=JunctionEnvironment.SANDBOX,
  )

  data = client.profile.get_raw("<user_id>")
  ```

  ```typescript TypeScript theme={null}
  import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";

  const client = new JunctionClient({
      apiKey: "YOUR_API_KEY",
      environment: JunctionEnvironment.Sandbox,
  });

  const data = await client.profile.getRaw({ userId: "<user_id>" });
  ```

  ```java Java theme={null}
  import com.junction.api.Junction;
  import com.junction.api.core.Environment;

  Junction client = Junction.builder()
      .apiKey("YOUR_API_KEY")
      .environment(Environment.SANDBOX)
      .build();

  var data = client.profile().getRaw("<user_id>");
  ```

  ```go Go theme={null}
  import (
      "context"

      junction "github.com/junction-api/junction-go"
      "github.com/junction-api/junction-go/client"
      "github.com/junction-api/junction-go/option"
  )

  c := client.NewClient(
      option.WithApiKey("YOUR_API_KEY"),
      option.WithBaseURL(junction.Environments.Sandbox),
  )

  response, err := c.Profile.GetRaw(context.TODO(), &junction.GetRawProfileRequest{
      UserId: "<user_id>",
  })
  if err != nil {
      return err
  }
  fmt.Printf("Received data %s\n", response)
  ```
</RequestExample>


## OpenAPI

````yaml GET /v2/summary/profile/{user_id}/raw
openapi: 3.1.0
info:
  title: Junction API
  description: https://docs.junction.com/
  version: 0.4.495
servers:
  - url: https://api.us.junction.com
    x-fern-server-name: Production
  - url: https://api.eu.junction.com
    x-fern-server-name: ProductionEU
  - url: https://api.sandbox.us.junction.com
    x-fern-server-name: Sandbox
  - url: https://api.sandbox.eu.junction.com
    x-fern-server-name: SandboxEU
security:
  - apiKeyAuth: []
paths:
  /v2/summary/profile/{user_id}/raw:
    get:
      tags:
        - summary
      summary: Get User Profile Raw
      description: Get raw profile for user_id
      operationId: get_user_profile_raw_v2_summary_profile__user_id__raw_get
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: >-
              User id returned by vital create user id request. This id should
              be stored in your database against the user and used for all
              interactions with the vital api.
        - name: provider
          in: query
          required: false
          schema:
            type: string
            description: Provider oura/strava etc
            default: ''
            title: Provider
          description: Provider oura/strava etc
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RawProfile'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RawProfile:
      properties:
        profile:
          $ref: '#/components/schemas/ProfileInDb'
      type: object
      required:
        - profile
      title: Profile Data
      example:
        profile:
          - data:
              data: ...provider_specific_data
            source_id: 1
            user_id: 1449752e-0d8a-40e0-9206-91ab099b2537
    HTTPValidationError:
      properties:
        detail:
          title: Detail
      type: object
      title: HTTPValidationError
    ProfileInDb:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        data:
          title: Data
        user_id:
          type: string
          format: uuid
          title: User Id
        source_id:
          type: integer
          title: Source Id
          deprecated: true
        priority_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Priority Id
          deprecated: true
        source:
          $ref: '#/components/schemas/ClientFacingProvider'
        created_at:
          type: string
          format: date-time
          title: Created At
          default: '0001-01-01T00:00:00Z'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          default: '0001-01-01T00:00:00Z'
      type: object
      required:
        - id
        - data
        - user_id
        - source_id
        - source
      title: ProfileInDb
    ClientFacingProvider:
      properties:
        name:
          type: string
          title: Name
          description: Name of source of information
        slug:
          type: string
          title: Slug
          description: Slug for designated source
        logo:
          type: string
          title: Logo
          description: URL for source logo
      type: object
      required:
        - name
        - slug
        - logo
      title: Provider
      description: A vendor, a service, or a platform which Vital can connect with.
      example:
        logo: https://logo_url.com
        name: Oura
        slug: oura
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-vital-api-key
      description: Vital Team API Key

````